package CoreFS.SB03;

import CoreFS.SA01.CoreGlobalConstants;
import CoreFS.SA06.CoreReturnObject;


/**
 * @desc 调用管理 调用设计id来找到对应的调用方法
 * @author sunjiawang
 *
 */

public class CoreIvokeManage implements CoreIIvokeManage {
	
	private static CoreXmlIvokeBean xmlbean = new CoreXmlIvokeBean();
	//private String  cfgpath = Thread.currentThread().getContextClassLoader().getResource("../cfgfiles").getPath() ;
	/**
	 * @desc 获取xmlbean
	 * @param xmlbean
	 */
	public CoreXmlIvokeBean getXmlbean() {
		if (xmlbean == null) {
			xmlbean = new CoreXmlIvokeBean();
		}
		return xmlbean;
	}
	
	public CoreReturnObject callActivity(String id, Object params[]) {
		return this.getXmlbean().callActivity(id, params);
	}
	   
}
